<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchEvaluation: SemanticSearchEvaluation.FacetedSearch Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchEvaluation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_evaluation.html">SemanticSearchEvaluation</a></li><li class="navelem"><a class="el" href="class_semantic_search_evaluation_1_1_faceted_search.html">FacetedSearch</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="class_semantic_search_evaluation_1_1_faceted_search-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SemanticSearchEvaluation.FacetedSearch Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Faceted search.  
 <a href="class_semantic_search_evaluation_1_1_faceted_search.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for SemanticSearchEvaluation.FacetedSearch:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_semantic_search_evaluation_1_1_faceted_search.png" usemap="#SemanticSearchEvaluation.FacetedSearch_map" alt=""/>
  <map id="SemanticSearchEvaluation.FacetedSearch_map" name="SemanticSearchEvaluation.FacetedSearch_map">
<area href="class_semantic_search_evaluation_1_1_search_approach.html" title="Provides all necessary functions for the evaluation of a search approach." alt="SemanticSearchEvaluation.SearchApproach" shape="rect" coords="0,0,264,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_class_semantic_search_evaluation_1_1_search_approach"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_semantic_search_evaluation_1_1_search_approach')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html">SemanticSearchEvaluation.SearchApproach</a></td></tr>
<tr class="memitem:a366eb296136b1d7f1534f6e5f5caf55c inherit pub_methods_class_semantic_search_evaluation_1_1_search_approach"><td class="memItemLeft" align="right" valign="top">Process&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html#a366eb296136b1d7f1534f6e5f5caf55c">GetProcess</a> (string path, string arguments)</td></tr>
<tr class="memdesc:a366eb296136b1d7f1534f6e5f5caf55c inherit pub_methods_class_semantic_search_evaluation_1_1_search_approach"><td class="mdescLeft">&#160;</td><td class="mdescRight">The process which needs to be executed to run the specified search approach.  <a href="class_semantic_search_evaluation_1_1_search_approach.html#a366eb296136b1d7f1534f6e5f5caf55c">More...</a><br /></td></tr>
<tr class="separator:a366eb296136b1d7f1534f6e5f5caf55c inherit pub_methods_class_semantic_search_evaluation_1_1_search_approach"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcd32a056e0f894aa985a76f0d83c034 inherit pub_methods_class_semantic_search_evaluation_1_1_search_approach"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html#adcd32a056e0f894aa985a76f0d83c034">GetPath</a> ()</td></tr>
<tr class="memdesc:adcd32a056e0f894aa985a76f0d83c034 inherit pub_methods_class_semantic_search_evaluation_1_1_search_approach"><td class="mdescLeft">&#160;</td><td class="mdescRight">The path to the executable of the search approach.  <a href="class_semantic_search_evaluation_1_1_search_approach.html#adcd32a056e0f894aa985a76f0d83c034">More...</a><br /></td></tr>
<tr class="separator:adcd32a056e0f894aa985a76f0d83c034 inherit pub_methods_class_semantic_search_evaluation_1_1_search_approach"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b560b4e0d66a0213ed0e5a0aada6d13 inherit pub_methods_class_semantic_search_evaluation_1_1_search_approach"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html#a4b560b4e0d66a0213ed0e5a0aada6d13">GetArguments</a> (int counter)</td></tr>
<tr class="memdesc:a4b560b4e0d66a0213ed0e5a0aada6d13 inherit pub_methods_class_semantic_search_evaluation_1_1_search_approach"><td class="mdescLeft">&#160;</td><td class="mdescRight">The arguments for the process containing the specified search intention.  <a href="class_semantic_search_evaluation_1_1_search_approach.html#a4b560b4e0d66a0213ed0e5a0aada6d13">More...</a><br /></td></tr>
<tr class="separator:a4b560b4e0d66a0213ed0e5a0aada6d13 inherit pub_methods_class_semantic_search_evaluation_1_1_search_approach"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a309037aeaa9d9bf1dc94ee039e0f7f04 inherit pub_methods_class_semantic_search_evaluation_1_1_search_approach"><td class="memItemLeft" align="right" valign="top">abstract string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html#a309037aeaa9d9bf1dc94ee039e0f7f04">GetName</a> ()</td></tr>
<tr class="memdesc:a309037aeaa9d9bf1dc94ee039e0f7f04 inherit pub_methods_class_semantic_search_evaluation_1_1_search_approach"><td class="mdescLeft">&#160;</td><td class="mdescRight">The specified name for the search approach.  <a href="class_semantic_search_evaluation_1_1_search_approach.html#a309037aeaa9d9bf1dc94ee039e0f7f04">More...</a><br /></td></tr>
<tr class="separator:a309037aeaa9d9bf1dc94ee039e0f7f04 inherit pub_methods_class_semantic_search_evaluation_1_1_search_approach"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Faceted search. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_faceted_search_8cs.html">FacetedSearch.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
